/* Global variables */


#ifndef _GLO_H
#define _GLO_H

#include "fproc.h"
#include "../share/message.h"

/* File System global variables. */
extern fproc_t *fp;        		/* pointer to caller's fproc struct */

/* The parameters of the call are kept here. */
extern message_params_t message_params;	/* parameters of the input message */
extern int rd_phone; 			/* call number of RAMDISK driver task */
extern int con_phone;			/* call number of CONSOLE service */
extern char user_path[PATH_MAX];	/* storage for user path name */

/* Data needed for communication with RAMDISK. */
extern void *buffer;			/* buffer storing copied data */

/* The following variables are used for returning results to the caller */
extern int err_code;            	/* temporary storage for error number */
extern int status;			/* status of last disk i/o request */

/* Data which need initialization. */
extern int (*call_vector[])(void); 	/* sys call table */

#endif /* _GLO_H */
