/* Definition of a struct that is used in the stat and fstat calls.  
 * The information in this struct comes from the i-node of some file.  
 * These calls are the only approved way to inspect i-nodes.
 */


#ifndef _STAT_H
#define _STAT_H

typedef struct {
   ino_t st_ino;                 /* i-node number */
   mode_t st_mode;               /* file mode, protection bits, etc. */
   short int st_nlink;           /* # links; TEMPORARY HACK: should be nlink_t*/
   offset_t st_size;             /* file size */
} stat_t;

#endif /* _STAT_H */
